Template: binutils/kernel_link_warning
Type: note
Description: Kernel link failure info
 You may experience problems linking older (and some newer) kernels with
 this version of binutils.  This is not because of a bug in the linker, but
 rather a bug in the kernel source.  This is being worked out and fixed by
 the upstream kernel group in newer kernels, but not all of the problems
 may have been fixed at this time.  Older kernel versions will almost
 always exhibit the problem, however, and no attempts are being made to fix
 those that we know of.
 .
 There are a few work-arounds, but the most reliable is to edit the linker
 script for your architecture (e.g. arch/i386/vmlinux.lds) and remove the
 '*(.text.exit)' entry from the 'DISCARD' line.  It will bloat the kernel
 somewhat, but it should link properly.
Description-fr: Informations sur l'chec lors de l'dition des liens du noyau
 Vous pouvez rencontrer des problmes lors de l'dition des liens en
 compilant d'anciens noyaux (et quelques-uns rcents) avec cette version
 de binutils. Ce n'est pas  cause d'un bogue dans l'diteur de liens,
 mais plutt d'un bogue dans les sources du noyau. Les dveloppeurs du
 noyau font leur possible pour corriger le problme dans les noyaux
 actuels, mais il se peut que certains problmes n'aient pas encore t
 corrigs.
 Les anciennes versions du noyau seront presque toujours affectes par
 ce problme, mais malheureusement rien ne semble tre fait pour y
 remdier.
 .
 Il y a quelques trucs pour contourner ce problme, mais le plus sr est
 de modifier le script d'dition de liens pour votre architecture (p.e.
 arch/i386/vmlinux.lds) en enlevant *(.text.exit) sur la ligne
 DISCARD. Cela fera grossir quelque peu le noyau, mais au moins
 l'dition des liens pourra se faire.

Template: binutils/oformat_warning
Type: note
Description: The ld -oformat option has been replaced
 The ld command-line option '-oformat' has been completely replaced by
 '--oformat' in newer binutils.  This may cause problems when linking older
 kernel versions on i386 which still use the '-oformat' syntax in
 arch/boot/Makefile.
 .
 If you encounter problems, edit arch/boot/Makefile in your kernel source
 and change '-oformat' to '--oformat'.
Description-fr: L'option -oformat de la commande ld est obsolte
 L'option -oformat sur la ligne de commande de ld a t remplace
 par --oformat dans les nouvelles versions de binutils. Sur i386,
 la compilation d'anciens noyaux qui utilisent la syntaxe -oformat
 dans arch/boot/Makefile peut mal se passer.
 .
 Si vous rencontrez des problmes, remplacez -oformat par
 --oformat dans le fichier arch/boot/Makefile des sources du
 noyau.
